suffixes_list = [
    'ක',
    'කක',
    'කකට',
    'කකින්',
    'කකු',
    'කකුගෙන්',
    'කකුගේ',
    'කකුට',
    'කක්',
    'කගෙ',
    'කගෙන්',
    'කගේ',
    'කට',
    'කම',
    'කා',
    'කාලා',
    'කාලාගෙන්',
    'කාලාගේ',
    'කාලාට',
    'කි',
    'කිගෙ',
    'කිගෙන්',
    'කිගේ',
    'කිට',
    'කින්',
    'කිය',
    'කියක',
    'කියකගෙන්',
    'කියකගේ',
    'කියකට',
    'කියක්',
    'කී',
    'කීලා',
    'කීලාගෙන්',
    'කීලාගේ',
    'කීලාට',
    'කු',
    'කුගෙන්',
    'කුගේ',
    'කුට',
    'කෙ',
    'කෙක්',
    'කෙන්',
    'කෙහි',
    'කේ',
    'ක්',
    'ගෙ',
    'ගෙන්',
    'ගෙන්ම',
    'ගෙම',
    'ගේ',
    'ගේම',
    'ට',
    'ටත්',
    'ටම',
    'තත්',
    'ති',
    'තුමාගේ',
    'තුමාට',
    'තොත්',
    'ත්',
    'ත්වා',
    'ද',
    'දෙන්',
    'ද්දී',
    'න',
    'නමෝවා',
    'නවා',
    'නවාට',
    'නහුවා',
    'නා',
    'නි',
    'නිය',
    'නියක්',
    'නියගේ',
    'නු',
    'නෙම්වා',
    'නෙහිවා',
    'නේවා',
    'නෝවා',
    'න්',
    'න්ගෙන්',
    'න්ගේ',
    'න්ට',
    'න්න',
    'න්නට',
    'න්නමෝවා',
    'න්නහුවා',
    'න්නී',
    'න්නෙ',
    'න්නෙමි',
    'න්නෙමු',
    'න්නෙම්වා',
    'න්නෙහි',
    'න්නෙහිවා',
    'න්නෙහු',
    'න්නේ',
    'න්නේවා',
    'න්නො',
    'න්නෝ',
    'න්නෝවා',
    'න්හි',
    'පන්',
    'පල්ලා',
    'පිය',
    'පියව්',
    'පු',
    'පුදෙන්',
    'පුවාවේ',
    'ම',
    'මය',
    'මක',
    'මකට',
    'මකින්',
    'මක්',
    'මට',
    'මි',
    'මින්',
    'මු',
    'මෙන්',
    'මෙහි',
    'මේ',
    'මෝවා',
    'ම්',
    'ම්වල',
    'ම්වලට',
    'ම්වලින්',
    'ම්වා',
    'යක',
    'යකගෙන්',
    'යකගේ',
    'යකට',
    'යකටම',
    'යකම',
    'යකමත්',
    'යකි',
    'යකින්',
    'යකින්ම',
    'යකු',
    'යකුගෙන්',
    'යකුගේ',
    'යකුට',
    'යක්',
    'යක්ම',
    'යගෙ',
    'යගෙන්',
    'යගේ',
    'යට',
    'යටත්',
    'යත්',
    'යද',
    'යනි',
    'යන්',
    'යන්ගෙන්',
    'යන්ගේ',
    'යන්ට',
    'යයි',
    'යා',
    'යාගෙන්',
    'යාගේ',
    'යාගේ',
    'යාට',
    'යි',
    'යෙ',
    'යෙකි',
    'යෙකු',
    'යෙකුගෙන්',
    'යෙකුගේ',
    'යෙකුට',
    'යෙක්',
    'යෙන්',
    'යෙහි',
    'යෙහිලා',
    'යේ',
    'යේත්',
    'යේද',
    'යේදී',
    'යෝ',
    'යීය',
    'ලා',
    'ලාගෙන්',
    'ලාගේ',
    'ලාට',
    'ල්ලා',
    'වක',
    'වකගෙන්',
    'වකගේ',
    'වකටම',
    'වකම',
    'වකමත්',
    'වකි',
    'වකින්',
    'වකින්ම',
    'වකු',
    'වකුගෙන්',
    'වකුගේ',
    'වකුට',
    'වක්',
    'වක්ම',
    'වගෙ',
    'වගෙන්',
    'වගේ',
    'වට',
    'වටත්',
    'වත්',
    'වද',
    'වනි',
    'වන්',
    'වන්ගෙන්',
    'වන්ගේ',
    'වන්ට',
    'වයි',
    'වරු',
    'වරයෙකුට',
    'වරයාගේ',
    'වරයාට',
    'වරයාත්',
    'වරයායි',
    'වරයෙක්ගෙන්',
    'වරයෙකුගෙන්',
    'වරයෙකුගේ',
    'වරයෙකුට',
    'වරයෙකුටම',
    'වරියට',
    'වරුන්',
    'වරුන්ගේ',
    'වරුන්ට',
    'වල',
    'වලට',
    'වලටත්',
    'වලටද',
    'වලත්',
    'වලත්',
    'වලද',
    'වලින්',
    'වලින්ම',
    'වල්',
    'වල්ද',
    'වා',
    'වාගෙන්',
    'වාගේ',
    'වාට',
    'වායින්',
    'වායෙහි',
    'වායේ',
    'වාවලින්',
    'වැනි',
    'වැනියකු',
    'වැනියන්',
    'වැනියන්ගෙන්',
    'වැනියන්ගේ',
    'වැනියන්ට',
    'වැනියා',
    'වැනියාගෙන්',
    'වැනියාගේ',
    'වැනියාට',
    'වැනියෙකුගෙන්',
    'වැනියෙකුගේ',
    'වැනියෙකුට',
    'වැනියෙක්',
    'වැනියෝ',
    'වැන්න',
    'වැන්නක',
    'වැන්නකට',
    'වැන්නකින්',
    'වැන්නක්',
    'වැන්නට',
    'වැන්නනි',
    'වැන්නනෙකුට',
    'වැන්නන්',
    'වැන්නන්ගෙන්',
    'වැන්නන්ගේ',
    'වැන්නන්ට',
    'වැන්නා',
    'වැන්නාගෙන්',
    'වැන්නාගේ',
    'වැන්නාට',
    'වැන්නිය',
    'වැන්නියක',
    'වැන්නියකගෙන්',
    'වැන්නියකගේ',
    'වැන්නියකට',
    'වැන්නියක්',
    'වැන්නියගෙන්',
    'වැන්නියගේ',
    'වැන්නියට',
    'වැන්නෙකු',
    'වැන්නෙකුගෙන්',
    'වැන්නෙකුගේ',
    'වැන්නෙක්',
    'වැන්නෙන්',
    'වැන්නෙහි',
    'වැන්නේ',
    'වැන්නෝ',
    'වෙ',
    'වෙකු',
    'වෙකුගෙන්',
    'වෙකුගේ',
    'වෙකුට',
    'වෙක්',
    'වෙන්',
    'වෙහි',
    'වෙහු',
    'වේ',
    'වෝ',
    'ව්',
    'හි',
    'හිවා',
    'හු',
    'හුවා',
    'අකු',
    'උන්'
]

suffix_list_dependent_vowels = [
    'ාගෙන්',
    'ාගේ',
    'ාට',
    'ාදෙන්',
    'ාපන්',
    'ාපල්ලා',
    'ාපිය',
    'ාපියව්',
    'ාපුදෙන්',
    'ාවා',
    'ාවේ',
    'ිච්ච',
    'ිච්චදෙන්',
    'ිච්චාදෙන්',
    'ිච්චාවේ',
    'ින්',
    'ිය',
    'ියන්',
    'ිල',
    'ිලා',
    'ිලි',
    'ිලිවල',
    'ිලිවලට',
    'ිලිවලින්',
    'ිල්ල',
    'ිල්ලක',
    'ිල්ලකට',
    'ිල්ලකින්',
    'ිල්ලක්',
    'ිල්ලට',
    'ිල්ලෙන්',
    'ිල්ලෙහි',
    'ිල්ලේ',
    'ී',
    'ීම',
    'ීමක',
    'ීමකට',
    'ීමකින්',
    'ීමක්',
    'ීමට',
    'ීමි',
    'ීමු',
    'ීමෙන්',
    'ීමෙහි',
    'ීමේ',
    'ීම්',
    'ීම්වල',
    'ීම්වලට',
    'ීම්වලින්',
    'ීය',
    'ීහි',
    'ීහු',
    'ු',
    'ුණ',
    'ුණා',
    'ුණාට',
    'ුණු',
    'ුණෙමි',
    'ුණෙමු',
    'ුණෙහි',
    'ුණෙහු',
    'ුණේ',
    'ුණෝ',
    'ුනට',
    'ුනත්',
    'ුනි',
    'ුනොත්',
    'ුන්',
    'ුන්ගෙන්',
    'ුන්ගේ',
    'ුන්ට',
    'ුම',
    'ුමක',
    'ුමකට',
    'ුමකින්',
    'ුමක්',
    'ුමට',
    'ුමෙන්',
    'ුමෙහි',
    'ුමේ',
    'ුම්',
    'ුම්වල',
    'ුම්වලින්',
    'ුව',
    'ුවත්',
    'ුවදෙන්',
    'ුවල',
    'ුවලට',
    'ුවලින්',
    'ුවා',
    'ුවාට',
    'ුවාවේ',
    'ුවෙමි',
    'ුවෙමු',
    'ුවෙහි',
    'ුවේ',
    'ුවොත්',
    'ුවෝ',
    'ූ',
    'ූමු',
    'ූහ',
    'ූහු',
    'ෙ',
    'ෙකු',
    'ෙකුගෙන්',
    'ෙකුගේ',
    'ෙකුට',
    'ෙක්',
    'ෙන්',
    'ෙමි',
    'ෙමු',
    'ෙහි',
    'ෙහු',
    'ේ',
    'ේක',
    'ේකට',
    'ේකින්',
    'ේට',
    'ො',
    'ොත්',
    'ෝ',
    '්',
    '්වල',
    '්වලට',
    '්වලින්'
]

stop_words = [
    'සහ',
    'සමග',
    'සමඟ',
    'අහා',
    'ආහ්',
    'ආ',
    'ඕහෝ',
    'අනේ',
    'අඳෝ',
    'අපොයි',
    'අපෝ',
    'අයියෝ',
    'ආයි',
    'ඌයි',
    'චී',
    'චිහ්',
    'චික්',
    'හෝ‍',
    'දෝ',
    'දෝහෝ',
    'මෙන්',
    'සේ',
    'වැනි',
    'බඳු',
    'වන්',
    'අයුරු',
    'අයුරින්',
    'ලෙස',
    'වැඩි',
    'ශ්‍රී',
    'හා',
    'ය',
    'නිසා',
    'නිසාවෙන්',
    'බවට',
    'බව',
    'බවෙන්',
    'නම්',
    'වැඩි',
    'සිට',
    'දී',
    'මහා',
    'මහ',
    'පමණ',
    'පමණින්',
    'පමන',
    'වන',
    'විට',
    'විටින්',
    'මේ',
    'මෙලෙස',
    'මෙයින්',
    'ඇති',
    'ලෙස',
    'සිදු',
    'වශයෙන්',
    'යන',
    'සඳහා',
    'මගින්',
    'හෝ‍',
    'ඉතා',
    'ඒ',
    'එම',
    'ද',
    'අතර',
    'විසින්',
    'සමග',
    'පිළිබඳව',
    'පිළිබඳ',
    'තුළ',
    'බව',
    'වැනි',
    'මහ',
    'මෙම',
    'මෙහි',
    'මේ',
    'වෙත',
    'වෙතින්',
    'වෙතට',
    'වෙනුවෙන්',
    'වෙනුවට',
    'වෙන',
    'ගැන',
    'නෑ',
    'අනුව',
    'නව',
    'පිළිබඳ',
    'විශේෂ',
    'දැනට',
    'එහෙන්',
    'මෙහෙන්',
    'එහේ',
    'මෙහේ',
    'ම',
    'තවත්',
    'තව',
    'සහ',
    'දක්වා',
    'ට',
    'ගේ',
    'එ',
    'ක',
    'ක්',
    'බවත්',
    'බවද',
    'මත',
    'ඇතුලු',
    'ඇතුළු',
    'මෙසේ',
    'වඩා',
    'වඩාත්ම',
    'නිති',
    'නිතිත්',
    'නිතොර',
    'නිතර',
    'ඉක්බිති',
    'දැන්',
    'යලි',
    'පුන',
    'ඉතින්',
    'සිට',
    'සිටන්',
    'පටන්',
    'තෙක්',
    'දක්වා',
    'සා',
    'තාක්',
    'තුවක්',
    'පවා',
    'ද',
    'හෝ‍',
    'වත්',
    'විනා',
    'හැර',
    'මිස',
    'මුත්',
    'කිම',
    'කිම්',
    'ඇයි',
    'මන්ද',
    'හෙවත්',
    'නොහොත්',
    'පතා',
    'පාසා',
    'ගානෙ',
    'තව',
    'ඉතා',
    'බොහෝ',
    'වහා',
    'සෙද',
    'සැනින්',
    'හනික',
    'එම්බා',
    'එම්බල',
    'බොල',
    'නම්',
    'වනාහි',
    'කලී',
    'ඉඳුරා',
    'අන්න',
    'ඔන්න',
    'මෙන්න',
    'උදෙසා',
    'පිණිස',
    'සඳහා',
    'අරබයා',
    'නිසා',
    'එනිසා',
    'එබැවින්',
    'බැවින්',
    'හෙයින්',
    'සේක්',
    'සේක',
    'ගැන',
    'අනුව',
    'පරිදි',
    'විට',
    'තෙක්',
    'මෙතෙක්',
    'මේතාක්',
    'තුරු',
    'තුරා',
    'තුරාවට',
    'තුලින්',
    'නමුත්',
    'එනමුත්',
    'වස්',
    'මෙන්',
    'ලෙස',
    'පරිදි',
    'එහෙත්'
]

stem_dictionary = {}